ScheduleDailyValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.ScheduleDailyValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler
Class ScheduleDailyValue

    java.lang.Object
      org.hyperic.hq.scheduler.ScheduleValue
          org.hyperic.hq.scheduler.ScheduleDailyValue

All Implemented Interfaces:
  java.io.Serializable

    public class ScheduleDailyValue

extends ScheduleValue

See Also:
  Serialized Form

Constructor Summary
`ScheduleDailyValue(java.util.Date start, java.util.Date end, int interval)`

Method Summary
`boolean` | `getEveryWeekDay()`
`java.lang.String` | `getScheduleString()`
`void` | `setEveryWeekDay(boolean arg)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.scheduler.ScheduleValue
`getDescription, getEnd, getInterval, getNumberWithSuffix, getStart, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScheduleDailyValue

    public ScheduleDailyValue(java.util.Date start,
                              java.util.Date end,
                              int interval)

Method Detail

### getScheduleString

    public java.lang.String getScheduleString()

  Specified by:
    `getScheduleString` in class `ScheduleValue`

### setEveryWeekDay

    public void setEveryWeekDay(boolean arg)

### getEveryWeekDay

    public boolean getEveryWeekDay()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.